<toc label="HAHA 13/08 documentation" topic="index.html">
<topic href="introduction.html" label="Introduction">
   <topic href="introduction.html#availability" label="Availability">
</topic>
   <topic href="introduction.html#contact" label="Contact">
</topic>
   <topic href="introduction.html#acknowledgements" label="Acknowledgements">
</topic>
   <topic href="introduction.html#requirements" label="Requirements">
</topic>
</topic>
<topic href="starting.html" label="Starting with HAHA">
   <topic href="starting.html#installing-required-software" label="Installing required software">
      <topic href="starting.html#java" label="Java">
</topic>
      <topic href="starting.html#smt-solver" label="SMT solver">
</topic>
</topic>
   <topic href="starting.html#installing-haha" label="Installing HAHA">
</topic>
   <topic href="starting.html#running" label="Running">
</topic>
</topic>
<topic href="gentleintro.html" label="Gentle introduction to HAHA language">
</topic>
<topic href="responses.html" label="Responses of HAHA">
   <topic href="responses.html#error-markers" label="Error markers">
</topic>
   <topic href="responses.html#syntax-errors" label="Syntax errors">
</topic>
   <topic href="responses.html#type-errors" label="Type errors">
</topic>
   <topic href="responses.html#vcgen-errors" label="VCGen errors">
</topic>
   <topic href="responses.html#console-output" label="Console output">
</topic>
</topic>
<topic href="langref.html" label="Language reference">
   <topic href="langref.html#lexical-conventions" label="Lexical conventions">
</topic>
   <topic href="langref.html#program-structure" label="Program structure">
</topic>
   <topic href="langref.html#types" label="Types">
</topic>
   <topic href="langref.html#hoare-triples" label="Hoare triples">
</topic>
   <topic href="langref.html#expressions" label="Expressions">
</topic>
</topic>
<topic href="examples.html" label="Examples">
   <topic href="examples.html#cubic-root" label="Cubic root">
</topic>
   <topic href="examples.html#exponentiation" label="Exponentiation">
</topic>
   <topic href="examples.html#binary-search" label="Binary search">
</topic>
   <topic href="examples.html#quicksort-partition" label="Quicksort partition">
</topic>
</topic>
</toc>